package com.example.model;

@io.swagger.annotations.ApiModel(value = "Pet", discriminator="petType")
@javax.xml.bind.annotation.XmlRootElement(name = "Pet")
@com.fasterxml.jackson.annotation.JsonTypeInfo(use=com.fasterxml.jackson.annotation.JsonTypeInfo.Id.NAME, include=com.fasterxml.jackson.annotation.JsonTypeInfo.As.PROPERTY, property="petType")
@com.fasterxml.jackson.annotation.JsonSubTypes({
	@com.fasterxml.jackson.annotation.JsonSubTypes.Type(value = com.example.model.Cat.class, name = "Cat"),
	@com.fasterxml.jackson.annotation.JsonSubTypes.Type(value = com.example.model.Dog.class, name = "Dog"),
	@com.fasterxml.jackson.annotation.JsonSubTypes.Type(value = com.example.model.Lizard.class, name = "Lizard"),
})
@javax.annotation.Generated(value = "@openapi-generator-plus/java-cxf-spring-server-generator", date = "2020-12-23T00:05:53.131Z")
public class Pet implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	@Override
	public boolean equals(java.lang.Object o) {
		if (this == o) {
			return true;
		}
		if (o == null || getClass() != o.getClass()) {
			return false;
		}
		return true;
	}
	
	@Override
	public int hashCode() {
		return java.util.Objects.hash();
	}
	
	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("class Pet {\n");
		
		sb.append("}");
		return sb.toString();
	}
	
	/**
	 * Convert the given object to string with each line indented by 4 spaces
	 * (except the first line).
	 */
	private String toIndentedString(java.lang.Object o) {
		if (o == null) {
			return "null";
		}
		return o.toString().replace("\n", "\n    ");
	}
	
}
